Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.palettes
Class DefaultVisualiserPalette

    java.lang.Object
      org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette

All Implemented Interfaces:
  IVisualiserPalette

Direct Known Subclasses:
  BrightVisualiserPalette

public class DefaultVisualiserPalette
extends java.lang.Object
implements IVisualiserPalette

Default implementation of IVisualiserPalette providing a default palette for visualiser providers.

Constructor Summary
`DefaultVisualiserPalette()`

Method Summary
`org.eclipse.swt.graphics.RGB` | `getRandomRGBValue()` Returns a colour with random R,G and B values that are between 50 and 250 and are multiples of 5.
`org.eclipse.swt.graphics.RGB[]` | `getRGBValues()` Return the array of RGB values for this palette.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultVisualiserPalette

    public DefaultVisualiserPalette()

Method Detail

### getRandomRGBValue

    public org.eclipse.swt.graphics.RGB getRandomRGBValue()

  Returns a colour with random R,G and B values that are between 50 and 250 and are multiples of 5.

  Specified by:
    `getRandomRGBValue` in interface `IVisualiserPalette`
  Returns:
    randomly generated Color

### getRGBValues

    public org.eclipse.swt.graphics.RGB[] getRGBValues()

  Description copied from interface: `IVisualiserPalette`
  Return the array of RGB values for this palette. The array can be of any length - if the array is exhausted, the getRandomRGBValue() method will be used.

  Specified by:
    `getRGBValues` in interface `IVisualiserPalette`
  Returns:
    array of RGB values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD